# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: hello_world.proto

require 'google/protobuf'

Google::Protobuf::DescriptorPool.generated_pool.build do
  add_file("hello_world.proto", :syntax => :proto3) do
    add_message "hello_world.HelloRequest" do
      optional :name, :string, 1
    end
    add_message "hello_world.HelloReply" do
      optional :message, :string, 1
    end
  end
end

module HelloWorld
  HelloRequest = Google::Protobuf::DescriptorPool.generated_pool.lookup("hello_world.HelloRequest").msgclass
  HelloReply = Google::Protobuf::DescriptorPool.generated_pool.lookup("hello_world.HelloReply").msgclass
end
